Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanAttributeInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanAttributeInfo

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  ModelMBeanAttributeInfo, OpenMBeanAttributeInfoSupport

public class MBeanAttributeInfo
extends MBeanFeatureInfo
implements Serializable, Cloneable

Represents a management attribute in an MBeans' management interface.

Version:
  $Revision: 1.12 $

  Revisions:

  20020711 Adrian Brock:

  - Serialization
Author:
  Juha Lindfors., Adrian Brock
See Also:
  `MBeanInfo`, Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanAttributeInfo(String name, String description, Method getter, Method setter)` Creates an MBean attribute info object using the given accessor methods.
`MBeanAttributeInfo(String name, String type, String description, boolean isReadable, boolean isWritable, boolean isIs)` Creates an MBean attribute info object.

Method Summary
`Object` | `clone()` Creates a copy of this object.
`boolean` | `equals(Object object)`
`String` | `getType()` Returns the type string of this attribute.
`int` | `hashCode()`
`boolean` | `isIs()` If the attribute is using the boolean `isAttributeName` naming convention for its read accessor.
`boolean` | `isReadable()` If the attribute is readable.
`boolean` | `isWritable()` If the attribute is writable.
`String` | `toString()`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanAttributeInfo

    public MBeanAttributeInfo(String name,
                              String type,
                              String description,
                              boolean isReadable,
                              boolean isWritable,
                              boolean isIs)
                       throws IllegalArgumentException

  Creates an MBean attribute info object.

Parameters:
  `name` - name of the attribute
  `type` - the fully qualified class name of the attribute's type
  `description` - human readable description string of the attribute
  `isReadable` - if attribute is readable
  `isWritable` - if attribute is writable
  `isIs` - if attribute is using the boolean `isAttributeName` naming convention for its getter method
Throws:
  `IllegalArgumentException` - for a true isIs with a non boolean type or the type is not a valid java type or it is a reserved word

### MBeanAttributeInfo

    public MBeanAttributeInfo(String name,
                              String description,
                              Method getter,
                              Method setter)
                       throws IntrospectionException

  Creates an MBean attribute info object using the given accessor methods.

Parameters:
  `name` - Name of the attribute.
  `description` - Human readable description string of the attribute's type.
  `getter` - The attribute's read accessor. May be `null` if the attribute is write-only.
  `setter` - The attribute's write accessor. May be `null` if the attribute is read-only.
Throws:
  `IntrospectionException` - if the accessor methods are not valid for the attribute

Method Detail

### clone

    public Object clone()

  Creates a copy of this object.

  Returns:
    clone of this object

### getType

    public String getType()

  Returns the type string of this attribute.

  Returns:
    fully qualified class name of the attribute's type

### isReadable

    public boolean isReadable()

  If the attribute is readable.

  Returns:
    true if attribute is readable; false otherwise

### isWritable

    public boolean isWritable()

  If the attribute is writable.

  Returns:
    true if attribute is writable; false otherwise

### isIs

    public boolean isIs()

  If the attribute is using the boolean `isAttributeName` naming convention for its read accessor.

  Returns:
    true if using `isAttributeName` getter; false otherwise

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `MBeanFeatureInfo`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`

### toString

    public String toString()

  Overrides:
    `toString` in class `MBeanFeatureInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.